Summary: OpenC++ is a toolkit for C++ translators and analyzers.
Name: opencxx
Version: 2.8
Release: 3
Copyright: GPL
Group: Development/Tools
URL: http://opencxx.sourceforge.net
Source: opencxx-2.8.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: libtool-libs
BuildRequires: libstdc++-devel
BuildRequires: gcc-c++
BuildRequires: pkgconfig

%description
OpenC++ is a toolkit for C++ translators and analyzers.  It was
designed to enable the users to develop those tools without concerning
tedious parts of the development such as the parser and the type
system. OpenC++ enables development of C++ language tools, extensions,
domain specific compiler optimizations and runtime metaobject protocols.

%prep
%setup -q -n %{name}-%{version}

%build
./configure -C --prefix=/usr
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip

%post -p /sbin/ldconfig
                                                                                
%postun -p /sbin/ldconfig
                                                                                
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FILES INSTALL README TIPS

%{_bindir}/occ
%{_bindir}/occ2
%{_bindir}/libocc-config
%{_includedir}/mop.h
%dir %{_includedir}/opencxx
%dir %{_includedir}/opencxx/parser
%{_includedir}/opencxx/*.h
%{_includedir}/opencxx/gc-relate*
%{_includedir}/opencxx/parser/*.h
%dir %{_datadir}/opencxx
%docdir %{_datadir}/opencxx/html
%dir %{_datadir}/opencxx/html
%{_datadir}/opencxx/html/*.gif
%{_datadir}/opencxx/html/*.html
%dir %{_datadir}/opencxx/examples
%{_datadir}/opencxx/examples
%doc %{_datadir}/opencxx/reference.pdf
%doc %{_datadir}/opencxx/ref-appendix.html
%{_libdir}/libocc.l*
%{_libdir}/libocc.a
%{_libdir}/libocc.so*
%{_libdir}/pkgconfig/opencxx.pc

%changelog
* Thu Aug 26 2004 Gilles J. Seguin <segg@infonet.ca>
- Added %dir and %docdir to remove empty dir when uninstalling.

* Wed Aug 25 2004 Gilles J. Seguin <segg@infonet.ca>
- Added access to pkgconfig/opencxx.pc

* Tue Aug 24 2004 Gilles J. Seguin <segg@infonet.ca>
- RPM package of opencxx-2.8
